## prometheus-openstack-exporter 0.1.4

=== Makefile ===
PROJECTPATH = $(dir $(realpath $(firstword $(MAKEFILE_LIST))))

VENV := .venv
VENV_PIP := $(PROJECTPATH)/$(VENV)/bin/pip
VENV_PYTHON := $(PROJECTPATH)/$(VENV)/bin/python2.7

EXTRA_PY := $(PROJECTPATH)/prometheus-openstack-exporter

FLAKE8 := $(VENV_PYTHON) -m flake8

all: lint test build

clean: clean-python clean-venv

clean-python:
	rm -rf $(PROJECTPATH)/__pycache__

clean-venv:
	rm -rf $(PROJECTPATH)/$(VENV)

dch:
	gbp dch --debian-tag='%(version)s' -D bionic --git-log --first-parent

deb-src:
	debuild -S -sa -I.git

install-build-depends:
	sudo apt install \
	    debhelper \
	    git-buildpackage

lint: lint-python

# See .flake8 for config options.
lint-python: $(VENV)
	$(FLAKE8) $(PROJECTPATH) $(EXTRA_PY)

test: test-python

test-python: $(VENV)
	$(VENV_PYTHON) -m unittest discover tests

$(VENV):
	virtualenv --system-site-packages -p python2.7 $(PROJECTPATH)/$(VENV)
	$(VENV_PIP) install -I -r requirements.txt

=== requirements.txt ===
configparser==3.5
flake8
mock
prometheus-client
python-neutronclient
python-novaclient
swift

=== debian/changelog ===
prometheus-openstack-exporter (0.1.4-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to install systemd unit into /usr/lib.
    (Closes: #1060261)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 01:48:16 +0200

prometheus-openstack-exporter (0.1.4-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable setuptools package automatic discovery (Closes: #1021925)

 -- Raúl Benencia <rul@kalgan.cc>  Sun, 23 Oct 2022 15:30:50 -0700

prometheus-openstack-exporter (0.1.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:39:55 +0200

prometheus-openstack-exporter (0.1.4-2) unstable; urgency=medium

  * [2ed8468] d/patches: add python3-shebang.patch (Closes: #965287)
  * [a432692] src: add myself to uploaders
  * [d30baff] .gitignore: ignore quilt .pc directory

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 25 Mar 2021 13:08:13 +0100

prometheus-openstack-exporter (0.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #945570)

 -- Jason Hedden <jason@hedden.dev>  Wed, 24 Jun 2020 12:13:00 +0200

=== debian/control ===
Source: prometheus-openstack-exporter
Section: net
Priority: optional
Maintainer: Jason Hedden <jason@hedden.dev>
Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-all-dev
Standards-Version: 4.4.1
Homepage: https://github.com/CanonicalLtd/prometheus-openstack-exporter
Vcs-Git: https://salsa.debian.org/jeh-guest/pkg-prometheus-openstack-exporter
Vcs-Browser: https://salsa.debian.org/jeh-guest/pkg-prometheus-openstack-exporter

Package: prometheus-openstack-exporter
Architecture: all
Depends: python3,
         python3-cinderclient,
         python3-keystoneclient,
         python3-netaddr,
         python3-neutronclient,
         python3-novaclient,
         python3-prometheus-client,
         ${misc:Depends},
         ${python3:Depends}
Description: Prometheus exporter for Openstack
 Exposes high level OpenStack metrics to Prometheus that can be visualised
 using Grafana and the OpenStack Clouds Dashboard.
